#include <iostream>
#include <string>
using namespace std;
int main() {
string F;
string X;
string Y;
string C;
string D;
getline(cin,X);
getline(cin,Y);
X=C;
Y=D;
X.erase(1);
Y.erase(1);
C.erase(2);
D.erase(2);
if (X>Y){
  if(C>D){
    F=X+C;
    cout<<F;
  }
  else {
    F=X+D;
    cout<<F;
  }
}
else{
  if (D>C){
    F=Y+D;
    cout<<F;
  }
  else {
    F=Y+C;
    cout<<F;
  }
}
  
    return 0;
}